[Writable]
LogLevel = 'INFO'

[Service]
BootTimeout = 30000
CheckInterval = '10s'
Host = '172.17.0.1'  # set this to the IP address of the system host
ServerBindAddr = ''  # blank value defaults to Service.Host value
Port = 49992  #modified to be different than existing device services
Protocol = 'http'
StartupMsg = 'device simple started'
Timeout = 20000
ConnectRetries = 20
Labels = []
EnableAsyncReadings = true
AsyncBufferSize = 16

[Registry]
Host = 'localhost'
Port = 8500
Type = 'consul'

[Clients]
  [Clients.Data]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48080

  [Clients.Metadata]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48081

  [Clients.Logging]
  Protocol = 'http'
  Host = 'localhost'
  Port = 48061


[Device]
  DataTransform = true
  InitCmd = ''
  InitCmdArgs = ''
  MaxCmdOps = 128
  MaxCmdValueLen = 256
  RemoveCmd = ''
  RemoveCmdArgs = ''
  ProfilesDir = './res'
  UpdateLastConnected = false
  [Device.Discovery]
    Enabled = false
    Interval = '30s'

# Remote and file logging disabled so only stdout logging is used
[Logging]
EnableRemote = false
File = ''

# Pre-define Devices
[[DeviceList]]
  Name = 'RandNum-Device01'
  Profile = 'RandNum-Device'
  Description = 'Random Number Generator Device'
  Labels = [ "random", "test" ]
  [DeviceList.Protocols]
    [DeviceList.Protocols.Other]
      Address = 'random'
      Port = '300'
  [[DeviceList.AutoEvents]]
    Resource = 'randomnumber'
    OnChange = false
    Frequency = '10s'
